%%%-------------------------------------------------------------------
%%% File    : wstl.erl
%%% Author  :  <svg@surnet.ru>
%%% Description : 
%%%
%%% Created : 28 Apr 2003 by  <svg@surnet.ru>
%%%-------------------------------------------------------------------
%%
%% $Id: wstl.erl,v 1.1.1.1 2003/05/05 20:20:59 vsekissov Exp $
%%
%%**
%% 
%% @doc
%% @end
%%*
-module(wstl).

-behaviour(application).

-export([start/0, start/2, stop/1, start_application/3, stop_application/1]).

start_application(AppName, Modules, ConfigEntries) ->
  wstl_conf:start_link(AppName, Modules, ConfigEntries).

stop_application(AppName) ->
  wstl_conf:stop(AppName).

start() ->
  application:start(?MODULE).


%% application callbacks
start(_, _) ->
  case wstl_sup:start_link() of
    {ok, Pid} -> 
      {ok, Pid};
    Error ->
      Error
  end.

stop(_State) ->
  ok.
