#ERLC_PA +=
#ERLC_INC += -I...

EAPP_SRC += wstldemo/src/wstldemo.app.src
wstldemoAPPVSN := "0.0.1"
wstldemoAPPLICATION=wstldemo
wstldemoAPPMODULES := $(notdir $(basename $(wildcard wstldemo/src/*.erl)))
wstldemoAPPS := kernel stdlib wstl
#wstldemoEPACKAGES := wstldemo/src/wstldemo
wstldemoAPPENV :=  JUNGERL_DIR=$(JUNGERL_DIR) \
		YAWS_DIR=$(YAWS_DIR) \
		TOP=$(TOP) \
		WS_DIR=$(WS_DIR) \
		STL_DIR=stl \
		WSTL_DIR=wstl \
		TEMPLATE_DIR=wstldemo/priv/stl \

EPACKAGES += $(wstldemoEPACKAGES)
ESRC += $(wildcard wstldemo/src/*.erl) $(wildcard $(wstldemoEPACKAGES:%=%/*.erl))

WSTLDEMORC = wstldemo/bin/wstldemorc.sh
WSTLDEMO_YAWS_BIN = wstldemo/bin/yaws
WSTLDEMO_YAWS_CONF = wstldemo/priv/conf/yaws.conf
WSTLDEMO_SYS_CONF = wstldemo/priv/conf/sys.config
WSTLDEMO_DOCROOT = wsite/priv/www
WSTLDEMO_RUNMODS = wstldemo
WSTLDEMO_APPMODS = wstldemo
ODBC_DSN = "DSN=WSTLDEMO;UID=demo;PWD="

wstldemo-all : $(WSTLDEMORC) $(WSTLDEMO_YAWS_CONF) $(WSTLDEMO_SYS_CONF)

$(WSTLDEMO_SYS_CONF): wstldemo/templates/sys.config.stl
	env ODBC_DSN=$(ODBC_DSN) \
	$(STLFGEN) --out-file=$@ --template=$< && \
	chmod 644 $@

$(WSTLDEMORC) : wstldemo/templates/wstldemorc.sh.stl wstl/templates/wstlrc.sh.stl \
		$(WSTLDEMO_YAWS_BIN) $(STLFGEN)
	$(call wstlrc,$@,$<,$(wstldemoAPPENV))

$(WSTLDEMO_YAWS_BIN): wstl/templates/yaws.stl
	$(call wstlyaws,$@,$<)

$(WSTLDEMO_YAWS_CONF) : wstl/templates/yaws.conf.stl  $(STLFGEN)
	$(call wstlyawsconf,$@,$<\
		,$(WSTLDEMO_RUNMODS),$(WSTLDEMO_APPMODS),$(WSTLDEMO_DOCROOT))

wstldemo-clean :
	rm -f $(WSTLDEMORC) $(WSTLDEMO_YAWS_CONF) \
		$(WSTLDEMO_SYS_CONF) $(WSTLDEMO_YAWS_BIN) \
		wstldemo/bin/erl_crash.dump \
		wstldemo/bin/*.access \
		wstldemo/bin/*.log
