%%% File    : security_group.erl
%%% Author  :  <svg@surnet.ru>
%%% Description : 
%%% Created : 14 Oct 2003 by  <svg@surnet.ru>

%%
%%**
%% 
%% @doc
%% @end
%%*
-module(wsite.security_group).

-export([permission_groups/3]).

-import(wslib.str).
-import(wsdb).
-import(wslib).
-import(proplists).

permission_groups(LoginId, Permission, Dbh) ->
  Groups = [wslib:gv(group_id, Row)
	    || Row <- wsdb:select_rows(
			Dbh, user_login_security_group,
			[{login_id, LoginId}])],
  PermissionGroups =
    [wslib:gv(group_id, Row)
     || Row <- wsdb:select_rows(
		 Dbh, security_group_permission,
		 [{permission_id, Permission},
		  {in, group_id, Groups}])],
  [list_to_atom(G) || G <- PermissionGroups].


